Subject: [drinks] SOAP draft - proposed changes based on IESG comments

From: Alexander Mayrhofer <[email-masked]>
Date: Thu, 24 Mar 2016 14:38:33 +0000

Hello everyone,

I'm working with Ben Campbell (our responsible area director) to clear out final comments from the IESG review in order to get the SOAP draft into the RFC editor queue. I'm posting the proposed changes to WG list, so that everybody  has a chance to  review them. 

In the unlikely case you  violently disagree with any of the changes, please let me know ASAP - and, at the same time, please propose alternative text in order to resolve the comment.

The IESG comments can be reviewed on https://datatracker.ietf.org/doc/draft-ietf-drinks-spp-protocol-over-soap/ballot/ - here are my proposed changes:

- Spencer on mandatory-to-implement versions of SOAP and WSDL:  Based on Ben's suggestion, I changed the text so that SOAP 1.2 is mandatory to implement, and WDSL 1.1 should be the preferred version (no earlier version). 

- Stephen on "Identifier" vs "Identity": I've changed that to "Identifier", like we did in the Framework document.

- Stephen on weakness of the Security Considerations section: I've added a backreference to the Security Considerations section of the Framework draft, stating that those considerations also apply to the protocol implementation.

- Barry on the obsolete RFC2616 reference: The reference is now changed to RFC7230 / RFC7231

- Kathleen on SSL vs TLS:  All occurences of SSL have been changed to TLS

- Kathleen on the UTA BCP:  RFC7525 is a new normative reference, and use of TLS MUST follow that BCP.

- Kathleen on invalid XML response code: I've added text that "2000" is to be used in such cases.

Please find a diff against version -08 attached in case you want to review the full changes.

Thanks,
Alex